lsh.h File Reference

Classes for the LSH hash functions. More...

Go to the source code of this file.

## Classes

class | LSH256_Base
| LSH-224 and LSH-256 hash base class. More...
class | LSH224
| LSH-224 hash function. More...
class | LSH256
| LSH-256 hash function. More...
class | LSH512_Base
| LSH-384 and LSH-512 hash base class. More...
class | LSH384
| LSH-384 hash function. More...
class | LSH512
| LSH-512 hash function. More...
class | LSH512_256
| LSH-512-256 hash function. More...

## Macros

#define | CRYPTOPP_ENABLE_64BIT_SSE 1

## Detailed Description

Classes for the LSH hash functions.

Since
  Crypto++ 8.6

See also
  LSH on the Korea Internet & Security Agency (KISA) website.

Definition in file lsh.h.

## Macro Definition Documentation

## CRYPTOPP_ENABLE_64BIT_SSE

#define CRYPTOPP_ENABLE_64BIT_SSE 1

Definition at line 26 of file lsh.h.